## ros-humble-moveit-runtime 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_runtime)
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-moveit-runtime (2.5.5-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-runtime (2.5.4-1jammy) jammy; urgency=high

  * Uncomment moveit_ros_perception dependency (#1463 <https://github.com/ros-planning/moveit2/issues/1463>) (#1644 <https://github.com/ros-planning/moveit2/issues/1644>)
    (cherry picked from commit 450323cee2c74f09952a95ff1cae9951583cdce9)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-runtime (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-runtime (2.5.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Remove manipulation from moveit_ros (#1177 <https://github.com/ros-planning/moveit2/issues/1177>)
  * Contributors: Stephanie Eng, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-runtime (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-runtime (2.5.0-1jammy) jammy; urgency=high

  * 1.1.9
  * 1.1.8
  * 1.1.7
  * 1.1.6
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-moveit-runtime (2.4.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Jan 2022 23:00:00 -0000

ros-humble-moveit-runtime (2.3.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Dec 2021 23:00:00 -0000

ros-humble-moveit-runtime (2.3.1-1jammy) jammy; urgency=high

  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Contributors: Dave Coleman, Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Dec 2021 23:00:00 -0000

ros-humble-moveit-runtime (2.3.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Oct 2021 22:00:00 -0000

ros-humble-moveit-runtime (2.2.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Jul 2021 22:00:00 -0000

ros-humble-moveit-runtime (2.2.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 29 Jun 2021 22:00:00 -0000

ros-humble-moveit-runtime (2.1.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 30 May 2021 22:00:00 -0000

ros-humble-moveit-runtime (2.1.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 May 2021 22:00:00 -0000

ros-humble-moveit-runtime (2.1.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 19 Apr 2021 22:00:00 -0000

ros-humble-moveit-runtime (2.1.1-1jammy) jammy; urgency=high

  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Compile metapackages
  * Contributors: Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Apr 2021 22:00:00 -0000

ros-humble-moveit-runtime (2.1.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 22 Nov 2020 23:00:00 -0000

ros-humble-moveit-runtime (2.0.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 16 Feb 2020 23:00:00 -0000

ros-humble-moveit-runtime (1.1.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Oct 2020 22:00:00 -0000

ros-humble-moveit-runtime (1.1.0-1jammy) jammy; urgency=high

  * [feature] Use standard cmake text for metapackages (#1620 <https://github.com/ros-planning/moveit/issues/1620>)
  * [feature] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Jonathan Binney, Robert Haschke, Sean Yen, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Sep 2020 22:00:00 -0000

ros-humble-moveit-runtime (1.0.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Mar 2019 23:00:00 -0000

ros-humble-moveit-runtime (1.0.0-1jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 23 Feb 2019 23:00:00 -0000

ros-humble-moveit-runtime (0.10.8-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Dec 2018 23:00:00 -0000

ros-humble-moveit-runtime (0.10.7-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Dec 2018 23:00:00 -0000

ros-humble-moveit-runtime (0.10.6-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 08 Dec 2018 23:00:00 -0000

ros-humble-moveit-runtime (0.10.5-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 31 Oct 2018 23:00:00 -0000

ros-humble-moveit-runtime (0.10.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 28 Oct 2018 23:00:00 -0000

ros-humble-moveit-runtime (0.10.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 28 Oct 2018 23:00:00 -0000

ros-humble-moveit-runtime (0.10.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 23 Oct 2018 22:00:00 -0000



=== debian/control ===
Source: ros-humble-moveit-runtime
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-moveit-core, ros-humble-moveit-planners, ros-humble-moveit-plugins, ros-humble-moveit-ros-move-group, ros-humble-moveit-ros-perception, ros-humble-moveit-ros-planning, ros-humble-moveit-ros-planning-interface, ros-humble-moveit-ros-warehouse, ros-humble-ros-workspace
Description: moveit_runtime meta package contains MoveIt packages that are essential for its runtime (e.g.
 running MoveIt on robots).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-runtime//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
